summaryrefslogtreecommitdiff
path: root/opie-jumpx/opie-jumpx_cvs.oe
diff options
context:
space:
mode:
Diffstat (limited to 'opie-jumpx/opie-jumpx_cvs.oe')
-rw-r--r--opie-jumpx/opie-jumpx_cvs.oe38
1 files changed, 38 insertions, 0 deletions
diff --git a/opie-jumpx/opie-jumpx_cvs.oe b/opie-jumpx/opie-jumpx_cvs.oe
index e69de29bb2..34c3f3eb23 100644
--- a/opie-jumpx/opie-jumpx_cvs.oe
+++ b/opie-jumpx/opie-jumpx_cvs.oe
@@ -0,0 +1,38 @@
+DESCRIPTION = "JumpX input method"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+MAINTAINER = "Open Embedded <oe@handhelds.org>"
+LICENSE = "GPL"
+PV = "1.1.4-cvs-${CVSDATE}"
+APPNAME = "qjumpx"
+
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/inputmethods/jumpx;date=${CVSDATE} \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/pics"
+
+S = "${WORKDIR}/jumpx"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libqjumpx.so* pics/jumpx
+do_install() {
+ install -d ${D}/${palmtopdir}/pics/jumpx/
+ install -m 0644 ${WORKDIR}/pics/jumpx/*.png ${D}/${palmtopdir}/pics/jumpx/
+}
+